org.bouncycastle.jce.provider

## Class JCEPBEKey

- java.lang.Object
- - org.bouncycastle.jce.provider.JCEPBEKey

All Implemented Interfaces:
  java.io.Serializable, java.security.Key, javax.crypto.interfaces.PBEKey, javax.crypto.SecretKey

    public class JCEPBEKey
    extends java.lang.Object
    implements javax.crypto.interfaces.PBEKey

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface javax.crypto.interfaces.PBEKey

`serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`JCEPBEKey(java.lang.String algorithm, DERObjectIdentifier oid, int type, int digest, int keySize, int ivSize, javax.crypto.spec.PBEKeySpec pbeKeySpec, CipherParameters param)`

### Method Summary

Methods
`java.lang.String` `getAlgorithm()`
`byte[]` `getEncoded()`
`java.lang.String` `getFormat()`
`int` `getIterationCount()`
`DERObjectIdentifier` `getOID()`
`char[]` `getPassword()`
`byte[]` `getSalt()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JCEPBEKey

    public JCEPBEKey(java.lang.String algorithm,
             DERObjectIdentifier oid,
             int type,
             int digest,
             int keySize,
             int ivSize,
             javax.crypto.spec.PBEKeySpec pbeKeySpec,
             CipherParameters param)

Parameters:
  `param` -

### Method Detail

#### getAlgorithm

    public java.lang.String getAlgorithm()

Specified by:
  `getAlgorithm` in interface `java.security.Key`

#### getFormat

    public java.lang.String getFormat()

Specified by:
  `getFormat` in interface `java.security.Key`

#### getEncoded

    public byte[] getEncoded()

Specified by:
  `getEncoded` in interface `java.security.Key`

#### getPassword

    public char[] getPassword()

Specified by:
  `getPassword` in interface `javax.crypto.interfaces.PBEKey`

#### getSalt

    public byte[] getSalt()

Specified by:
  `getSalt` in interface `javax.crypto.interfaces.PBEKey`

#### getIterationCount

    public int getIterationCount()

Specified by:
  `getIterationCount` in interface `javax.crypto.interfaces.PBEKey`

#### getOID

    public DERObjectIdentifier getOID()